@echo off
REM this file should be installed in the main windows directory
REM i.e. in C:\WINNT\ or C:\WINDOWS\

if "%1" == "" goto badarg

REM IF we were lucky, the XTALHOME and POVEXE variables
REM were set by the installation script in the windowsNT REGISTRY.
REM or in the AUTOEXEC.bat file on WIndows95/98 machines.
REM If not then set it here.

rem Define the home directory of auxiliary files with trailing directory slash "\"
rem The format is XTALHOME='<path>'
set XTALHOME=D:\xtal372\bin\
set XTALTCLLIB=D:\Tcl\bin\tcl84.dll
set XTALTKLIB=D:\Tcl\bin\tk84.dll

REM For spawning POV-Ray(TM) processes from PIG
REM set POVEXE="C:\Program Files\POV-Ray for Windows v3.1\bin\pvengine.exe"

REM Uncomment the next two lines to override previous POVEXE definition
REM to permit running POV-Ray(TM) in multitasking (Windows NT) mode.
REM set path="C:\Program Files\POV-Ray for Windows v3.1\bin\";%path%
REM set POVEXE=start pvengine.exe


rem
rem Execute Xtal372 by reading %1.dat and outputing %1.lst
rem

if exist %1.dat  goto run
if not exist %1.cif goto find

rem
rem default sequence of %1.dat not present
rem

echo Xtal-3.7.2 creating a default %1.dat to use %1.cif
echo compid %1         > %1.dat
echo cifio dict       >> %1.dat
echo pig ort          >> %1.dat
REM %XTALHOME%xtal372.exe <%1.dat >%1.lst
%XTALHOME%\..\bin\xtal372.exe < %1.dat > %1.lst
goto end

:badarg
echo "Usage: xtal <input file>"
goto end

:find
echo Xtal-3.7.2 is unable to locate %1.dat or %1.cif files. Exiting!
goto end

:run
echo XTALHOME variable is %XTALHOME%
echo POVRAY command is %POVEXE%
%XTALHOME%\..\bin\xtal372.exe < %1.dat > %1.lst
del %1.xx*
del %1.aa1
del %1.aa2
REM should clean up all the other aux files also

:end
pause
